#include <avr/io.h>
#include <avr/pgmspace.h>

#include "Config.h"


#define BOARD_NAME "     MultiWii V-.--  "
#define  VERSION  220

static char line1[22],line2[22];

void setup()
{
  i2c_init();
  initLCD();
  delay(1000);
}


void loop()
{
    LCDclear();
    strcpy_P(line1,PSTR( BOARD_NAME )); // user defined macro
  //                     0123456789.123456
    line1[15] = digit100(VERSION);
    line1[17] = digit10(VERSION);
    line1[18] = digit1(VERSION);
    LCDattributesReverse();
    LCDsetLine(1); LCDprintChar(line1);
    strcpy_P(line2,PSTR("     Test screen     "));

    //LCDattributesBold();
    LCDsetLine(2); LCDprintChar(line2);
    LCDattributesOff();
    delay(2500);
    LCDsetLine(4); LCDprintChar("To ENTER CONFIG      ");// 21 characters on each line
    LCDsetLine(5); LCDprintChar("YAW RIGHT & PITCH FWD");
    LCDsetLine(7); LCDprintChar("To SAVE CONFIG       ");
    LCDsetLine(8); LCDprintChar("YAW LEFT & PITCH FWD ");
    delay(2500);
}
